Bug 126547 - x86-64 strace does not show system calls of 32-bit processes
Summary: x86-64 strace does not show system calls of 32-bit processes
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-23 00:40 UTC by Roland McGrath
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-29 18:44:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:338 normal SHIPPED_LIVE Updated strace package 2004-09-01 04:00:00 UTC

Description Roland McGrath 2004-06-23 00:40:47 UTC
Description of problem:


Version-Release number of selected component (if applicable):
4.5.4

How reproducible:
100%

Steps to Reproduce:
1.make an i386 hello world binary
2.strace ./hello
3.see no trace info after "runs in 32-bit mode" message
  
Actual results:


Expected results:


Additional info:

Comment 1 Roland McGrath 2004-06-23 01:39:15 UTC
Fixed upstream.

Comment 2 Jay Turner 2004-06-29 18:44:48 UTC
Fix confirmed with strace-4.5.5-1.EL.

Comment 3 Jay Turner 2004-09-02 03:32:27 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-338.html



Note You need to log in before you can comment on or make changes to this bug.